=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf6i18n-dev (>= 6.3.0~),
                qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.6.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kmime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmime
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmime.git
