=== debian/control ===
Source: kmime
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-ki18n-dev,
               libboost-dev (>= 1.49),
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kmime
Vcs-Git: https://invent.kde.org/neon/kde/kmime.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmime
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kmime
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkf5mime5abi2
Replaces: libkf5mime-data,
          libkf5mime5,
          libkf5mime5abi2,
          libkf6mime-data,
          libkf6mime6
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-kmime-dev
Section: libdevel
Architecture: any
Depends: kf6-kcodecs-dev,
         kpim6-kmime (= ${binary:Version}),
         libboost-dev (>= 1.49~),
         qt6-base-dev,
         qt6-tools-dev,
         ${misc:Depends}
Replaces: libkf5mime-dev, libkf6mime-dev
Description: library for handling MIME data - development files
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the development files.

Package: libkf6mime-dev
Architecture: all
Depends: kpim6-kmime-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6mime6
Architecture: all
Depends: kpim6-kmime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6mime-data
Architecture: all
Depends: kpim6-kmime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mime-dev
Architecture: all
Depends: kpim6-kmime-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mime5abi2
Architecture: all
Depends: kpim6-kmime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mime5
Architecture: all
Depends: kpim6-kmime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mime-data
Architecture: all
Depends: kpim6-kmime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
