## kmime 25.08.2+p24.04+vstable+git20251019.0308

=== debian/changelog ===
kmime (25.08.2+p24.04+vstable+git20251019.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:08:55 +0000
