## kmime 25.08.2+p24.04+vstable+git20251024.0149

=== debian/changelog ===
kmime (25.08.2+p24.04+vstable+git20251024.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:49:47 +0000
