## kmime 25.08.2+p24.04+vunstable+git20251015.1044

=== debian/changelog ===
kmime (25.08.2+p24.04+vunstable+git20251015.1044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:44:50 +0000
